Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class SubjectTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.StringTerm
                  |
                  +--javax.mail.search.SubjectTerm

All Implemented Interfaces:
  java.io.Serializable

public final class SubjectTerm
extends StringTerm

This class implements comparisons for the Message Subject header. The comparison is case-insensitive.

See Also:
  Serialized Form

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`SubjectTerm(java.lang.String pattern)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`boolean` | `match(Message msg)` The match method.

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, hashCode, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectTerm

    public SubjectTerm(java.lang.String pattern)

  Constructor.
  Parameters:
    `pattern` - the pattern to search for

Method Detail

### match

    public boolean match(Message msg)

  The match method.
  Overrides:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - the pattern match is applied to this Message's subject header
  Returns:
    true if the pattern match succeeds, otherwise false

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `StringTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD